#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0xafa9ee26, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0xc3bee2ce, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x6ddc60e0, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x2a263192, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0xd4a0b745, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x98c237dc, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0x436e4551, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x872a6d0f, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x49eba899, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0xea55866d, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0xfa1a4997, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x85ef2b54, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x378a78c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2dea3f69, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71f9e034, "__hci_cmd_sync" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e1bc11a, "hci_cmd_sync_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x874b3f5f, "hci_devcd_register" },
	{ 0xb2801fba, "__hci_cmd_send" },
	{ 0x39de564d, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x370e0198, "usb_anchor_urb" },
	{ 0xbc619782, "usb_submit_urb" },
	{ 0xd34501b2, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc350cc1c, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x482512b1, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x7540bdcf, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x313339c6, "hci_devcd_append" },
	{ 0x12f752b2, "hci_devcd_complete" },
	{ 0x7db20877, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf90a7aa7, "usb_disable_autosuspend" },
	{ 0xeab4613a, "skb_clone" },
	{ 0xc0d375f1, "hci_recv_diag" },
	{ 0xaa9c314, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9013b27, "__alloc_skb" },
	{ 0x87d75e26, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x514bae46, "__skb_pad" },
	{ 0x388a88cc, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x963acd6f, "usb_set_interface" },
	{ 0x42514678, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "18AEEA470BA8CE7E5CC61C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
