#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x2d7db84b, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xfd102376, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xe286f738, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63093b1c, "drm_mode_probed_add" },
	{ 0xfebcab43, "drm_set_preferred_mode" },
	{ 0xf7ee2bb5, "pwm_put" },
	{ 0xea36e1cd, "regulator_disable" },
	{ 0xb781b6fe, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xc3899aef, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5af0cd8, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcf1c887a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x3efa0d55, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xbfa747df, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x7ef08449, "drm_atomic_helper_check_plane_state" },
	{ 0x7b54f3d6, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xf97d81ea, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xa5fd9f92, "drm_dev_unplug" },
	{ 0x5abeb0dd, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x90b25298, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x724927d6, "drm_gem_fb_begin_cpu_access" },
	{ 0xf6245689, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x5eefba28, "drm_gem_fb_end_cpu_access" },
	{ 0xc41ef609, "drm_fb_xrgb8888_to_gray8" },
	{ 0xa8c0ae3c, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2c35ba5, "drm_fb_xrgb8888_to_mono" },
	{ 0x606633c1, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x77b34299, "regulator_enable" },
	{ 0x76c86991, "pwm_get" },
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x1eb4dc32, "__drm_atomic_helper_crtc_reset" },
	{ 0xb8fa6cd0, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0xc302686d, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x618e2a77, "drm_gem_shmem_dumb_create" },
	{ 0xb28d08fb, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0x9a468537, "noop_llseek" },
	{ 0x1534947f, "drm_read" },
	{ 0xd6f607f5, "drm_poll" },
	{ 0x21256cc2, "drm_ioctl" },
	{ 0xf44160e4, "drm_compat_ioctl" },
	{ 0x308435d, "drm_gem_mmap" },
	{ 0xc985a924, "drm_open" },
	{ 0xff9013aa, "drm_release" },
	{ 0xfbecb8e1, "drm_gem_fb_create_with_dirty" },
	{ 0x60598ce2, "drm_atomic_helper_check" },
	{ 0x637f14, "drm_atomic_helper_commit" },
	{ 0x5266383a, "drm_atomic_helper_connector_reset" },
	{ 0xfa6f194b, "drm_helper_probe_single_connector_modes" },
	{ 0xccf38980, "drm_connector_cleanup" },
	{ 0xa5aef081, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xbc25f8c3, "drm_atomic_helper_connector_destroy_state" },
	{ 0x7bb460a4, "drm_encoder_cleanup" },
	{ 0xaf0d1861, "drm_crtc_cleanup" },
	{ 0x81b05a89, "drm_atomic_helper_set_config" },
	{ 0xdb1eea21, "drm_atomic_helper_page_flip" },
	{ 0xccf89e9b, "drm_atomic_helper_update_plane" },
	{ 0xa2df56b0, "drm_atomic_helper_disable_plane" },
	{ 0x7d641c4, "drm_plane_cleanup" },
	{ 0x58cb705b, "drm_gem_begin_shadow_fb_access" },
	{ 0xdb960f97, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d4594d8, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c1a9a2d, "__devm_drm_dev_alloc" },
	{ 0x555c16d6, "device_get_match_data" },
	{ 0x8e4589d4, "device_property_read_u32_array" },
	{ 0x1686d74f, "device_property_read_u8_array" },
	{ 0x81cbb3f3, "device_property_present" },
	{ 0x7cc2f8fc, "devm_gpiod_get_optional" },
	{ 0x6185ca7a, "devm_regulator_get" },
	{ 0xc1ebb1a2, "devm_backlight_device_register" },
	{ 0x953d5705, "drmm_mode_config_init" },
	{ 0x7f7c25c5, "drm_universal_plane_init" },
	{ 0x828abd79, "drm_plane_enable_fb_damage_clips" },
	{ 0x48ca725c, "drm_crtc_init_with_planes" },
	{ 0xff391c5e, "drm_encoder_init" },
	{ 0x98c40d5f, "drm_connector_init" },
	{ 0x7850503c, "drm_connector_attach_encoder" },
	{ 0xf8b56ff1, "drm_mode_config_reset" },
	{ 0x4c557a95, "drm_dev_register" },
	{ 0x5978a040, "drm_client_setup" },
	{ 0x2389188c, "dev_err_probe" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0xd9189b3b, "drm_mode_duplicate" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F157D7F4076DB9959BCD64E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
