#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x02f55371, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x202169d4, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x4717e5b1, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x547aaedd, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x56df26b4, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0xd5bebb19, "_gpl");
SYMBOL_CRC(mux_control_states, 0x4bab866c, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x4ccc6fa0, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x0a152906, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xfdefd492, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x11d110c8, "_gpl");
SYMBOL_CRC(mux_control_put, 0x4232132b, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xb6ea37b8, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xfe12ee63, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaf99c866, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x78208b4, "put_device" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x66d70af2, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x35758c9a, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x30b458b9, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xa4090002, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xdeb419c9, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x413d3227, "dev_set_name" },
	{ 0xcf2a6966, "up" },
	{ 0xf788785b, "device_initialize" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
