#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0x79d27ef2, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x636cfc8f, "");
SYMBOL_CRC(bnxt_send_msg, 0xeb040499, "");
SYMBOL_CRC(bnxt_register_async_events, 0x226543b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4730161a, "debugfs_remove" },
	{ 0x1cda8089, "pcie_flr" },
	{ 0xa35a94d3, "pci_read_config_word" },
	{ 0x2bec5884, "napi_enable" },
	{ 0x4803650, "netif_receive_skb" },
	{ 0xddd98e64, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9275947d, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x44943f25, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfd356c67, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x572df837, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe0fa66b7, "ethtool_rxfh_context_lost" },
	{ 0xf3ed536b, "pci_iounmap" },
	{ 0xfc19d6d, "pci_restore_state" },
	{ 0xf84fb5cb, "netif_tx_wake_queue" },
	{ 0xa4090002, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x33591718, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x12d73a38, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb077187a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x5d9c8204, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4fb03e83, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5d0f16e6, "flow_rule_match_ipv6_addrs" },
	{ 0x40f94e5e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6f433c4f, "ptp_clock_unregister" },
	{ 0xf2dc34cf, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xc3628fd9, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc0e1e7d2, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x1221322e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b42b5ec, "dma_set_coherent_mask" },
	{ 0x9045294c, "pv_ops" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xcf12dc78, "rps_may_expire_flow" },
	{ 0xe594d222, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6a758652, "netdev_reset_tc" },
	{ 0x55457dcd, "neigh_destroy" },
	{ 0x7d829e67, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x652150cd, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd337af74, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf0db67e5, "pci_release_regions" },
	{ 0xbd2199e1, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0f4d5c4, "__dma_sync_single_for_device" },
	{ 0xd6ea0e14, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x961f47fb, "pcie_print_link_status" },
	{ 0xbb1348e7, "flow_rule_match_vlan" },
	{ 0x975e39e1, "xdp_rxq_info_unreg" },
	{ 0x5eb114d8, "page_pool_alloc_pages" },
	{ 0x2a3bd3cb, "napi_build_skb" },
	{ 0x11468a92, "__xdp_rxq_info_reg" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x739856cb, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe963a78e, "devlink_priv" },
	{ 0xcbf3bae8, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x76cb55fa, "pci_disable_sriov" },
	{ 0xc264c6d3, "tcp_gro_complete" },
	{ 0xb6a344f2, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x14d6f051, "dst_release" },
	{ 0xf8fbcc87, "netif_carrier_on" },
	{ 0x9cfcbb73, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x402fc1fa, "hwmon_device_unregister" },
	{ 0xf245f178, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x77ae7fb1, "pci_disable_device" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x9cf657f3, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x56091907, "netif_set_tso_max_size" },
	{ 0xd579692c, "__skb_flow_dissect" },
	{ 0x84f4820d, "pci_msix_alloc_irq_at" },
	{ 0x379d87f8, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x413fd773, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x34d5af13, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb388e07c, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0x37d92436, "napi_disable" },
	{ 0x5d490ce0, "dev_kfree_skb_any_reason" },
	{ 0x1de45162, "dcb_ieee_delapp" },
	{ 0xab306060, "netdev_notice" },
	{ 0x3d53e1ba, "ethtool_params_from_link_mode" },
	{ 0xfe24f329, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xc578d351, "debugfs_create_dir" },
	{ 0x50901642, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6e793a7, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x83c6daa2, "flow_rule_match_control" },
	{ 0x7e33459c, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5c5b7736, "netdev_core_stats_inc" },
	{ 0xab30f4d2, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x82cc03ba, "pci_write_config_dword" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x9a47381a, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xdf10b8bb, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1badc607, "__tracepoint_xdp_exception" },
	{ 0xe67a9069, "napi_alloc_skb" },
	{ 0x1fae8644, "alloc_etherdev_mqs" },
	{ 0x388678c4, "flow_block_cb_lookup" },
	{ 0xde8a65d4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x4936596f, "device_set_wakeup_enable" },
	{ 0x514bae46, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5cfd6423, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1c543241, "pci_find_ext_capability" },
	{ 0x866f02ea, "bpf_prog_put" },
	{ 0xe3924e5e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x45192cd6, "devlink_unregister" },
	{ 0xc2d3a6d5, "skb_copy_bits" },
	{ 0x5388956, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3c60e9b1, "pci_wake_from_d3" },
	{ 0x9d27ba6a, "pci_enable_device" },
	{ 0x87d75e26, "skb_put" },
	{ 0x91051d0a, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf5f8bd98, "page_pool_alloc_frag" },
	{ 0x98fefc10, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0xf72670e8, "auxiliary_device_init" },
	{ 0x4b1bf0a2, "netdev_update_features" },
	{ 0x72b31a5e, "consume_skb" },
	{ 0x5b65d205, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x789cad80, "pci_alloc_irq_vectors" },
	{ 0x16ebd2e7, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd722b25a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xcb75df96, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xa1d0ccd3, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x750d75a3, "ndo_dflt_bridge_getlink" },
	{ 0x8c8fff2b, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfe5b285d, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4dbc2660, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2dea3f69, "request_firmware" },
	{ 0x7d2a4641, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xf4ace6f5, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb4a3538a, "__pci_register_driver" },
	{ 0xd0539331, "devlink_params_unregister" },
	{ 0xd8fb3aa1, "pci_num_vf" },
	{ 0x4a313a5f, "flow_rule_match_eth_addrs" },
	{ 0xeb59f70a, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x58c9412b, "ptp_clock_index" },
	{ 0x77a53eba, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6405b, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x210a2083, "devlink_register" },
	{ 0x8383f1da, "devlink_remote_reload_actions_performed" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x2ed882d1, "page_pool_destroy" },
	{ 0x5f632bec, "xdp_do_redirect" },
	{ 0xae19e074, "devlink_free" },
	{ 0xed7e2f81, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xaadeab85, "netdev_warn" },
	{ 0x1b2f20f2, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4d76cdc0, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8203b72c, "pci_irq_vector" },
	{ 0xb142caa7, "flow_rule_match_ipv4_addrs" },
	{ 0x71baa9b5, "ip_route_output_flow" },
	{ 0xd5e3c19c, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbd8a0a3e, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8cbd6eea, "pci_unregister_driver" },
	{ 0xcfffbaae, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9b16a45c, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x27f46262, "devlink_flash_update_status_notify" },
	{ 0xa8c0ae3c, "dev_driver_string" },
	{ 0xf7c860eb, "netdev_port_same_parent_id" },
	{ 0x85ebc1db, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xe0b887b2, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xbe8488f, "ptp_find_pin" },
	{ 0xe8fbeb2e, "eth_type_trans" },
	{ 0xa72dd11c, "pci_read_config_dword" },
	{ 0x5f53fcb6, "flow_rule_match_icmp" },
	{ 0x72dbd4b9, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaacec3ef, "dma_map_page_attrs" },
	{ 0xfd4e023b, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x78208b4, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x9b2105a9, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xa916b694, "strnlen" },
	{ 0x809dd264, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x509d833a, "netif_device_detach" },
	{ 0x842eb1ce, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e65dc65, "napi_gro_receive" },
	{ 0x11f7b22d, "netif_device_attach" },
	{ 0xdb3f928, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x6d707091, "flow_indr_dev_unregister" },
	{ 0x2bd889be, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1e670ed9, "xdp_rxq_info_is_reg" },
	{ 0xd36f9f51, "ptp_classify_raw" },
	{ 0xaec406cd, "flow_block_cb_setup_simple" },
	{ 0xf4eefb47, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xadfaeedb, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xc946b912, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8727f716, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb078a3, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x38479f3f, "devlink_port_unregister" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x79ebf698, "init_net" },
	{ 0xc9ba6a08, "softnet_data" },
	{ 0xac07f429, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xc42062b5, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x11b4f9a8, "ptp_clock_register" },
	{ 0xa65e4f8d, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4121cd3a, "netif_set_real_num_tx_queues" },
	{ 0xd16a1622, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfafe76dd, "netif_set_real_num_rx_queues" },
	{ 0x33a42780, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x45b990a9, "page_pool_disable_direct_recycling" },
	{ 0x39313b91, "netdev_printk" },
	{ 0x839d505f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde137ee8, "pci_device_is_present" },
	{ 0xdd31a16, "dma_alloc_attrs" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6A2964B8438B25C75631DA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
