#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0x64506088, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0xc463c813, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x310cd9f2, "");
SYMBOL_CRC(ath12k_core_resume, 0xbb28948c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf3d0bd44, "mhi_free_controller" },
	{ 0xf3ed536b, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4b56b6e8, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x764da924, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x4fb03e83, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8ccb0518, "ieee80211_beacon_free_ema_list" },
	{ 0xc3628fd9, "__netdev_alloc_skb" },
	{ 0x10f1f4fa, "ieee80211_iterate_stations_mtx" },
	{ 0x866f62c6, "ieee80211_ready_on_channel" },
	{ 0x20557290, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x44d82261, "skb_trim" },
	{ 0x4f38fe25, "qmi_handle_release" },
	{ 0x5ba04491, "skb_cow_data" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b42b5ec, "dma_set_coherent_mask" },
	{ 0x83fa7849, "mhi_alloc_controller" },
	{ 0x9045294c, "pv_ops" },
	{ 0xb955dbb6, "skb_realloc_headroom" },
	{ 0xe72d8123, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xee974895, "mhi_unregister_controller" },
	{ 0x1e367337, "ieee80211_vif_to_wdev" },
	{ 0x54109f08, "alloc_netdev_dummy" },
	{ 0x7d829e67, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xeaec41b8, "ieee80211_scan_completed" },
	{ 0xd555be53, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x2b186398, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6749a1b4, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x800b33c8, "pskb_put" },
	{ 0x9959dc25, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x77ae7fb1, "pci_disable_device" },
	{ 0x6f3f129b, "ieee80211_radar_detected" },
	{ 0x9cf657f3, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x479e7a29, "mhi_download_rddm_image" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xccfd53ae, "ieee80211_queue_work" },
	{ 0xb388e07c, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x37d92436, "napi_disable" },
	{ 0x5d490ce0, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x314ea00f, "crypto_alloc_shash" },
	{ 0x6d4d2246, "pci_write_config_word" },
	{ 0x44acd8a9, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2df331f2, "pci_release_region" },
	{ 0x8484e660, "mhi_prepare_for_power_up" },
	{ 0x6e793a7, "pci_free_irq_vectors" },
	{ 0xcb1b2497, "qmi_add_lookup" },
	{ 0xdfc431f9, "__cfg80211_get_bss" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x758289, "ieee80211_csa_finish" },
	{ 0xaa337b14, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb9f54167, "ieee80211_gtk_rekey_notify" },
	{ 0x4936596f, "device_set_wakeup_enable" },
	{ 0x12c3f9ea, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xf28c90e4, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x308507c6, "pci_request_region" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1104c8a9, "is_acpi_device_node" },
	{ 0xe3924e5e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x98fed571, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9d27ba6a, "pci_enable_device" },
	{ 0x87d75e26, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbb2cbb9f, "firmware_request_nowarn" },
	{ 0x198e977f, "mhi_power_down_keep_dev" },
	{ 0x6121a053, "qmi_handle_init" },
	{ 0x72b31a5e, "consume_skb" },
	{ 0x5b65d205, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x789cad80, "pci_alloc_irq_vectors" },
	{ 0x16ebd2e7, "netif_napi_add_weight" },
	{ 0x20690724, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c565b6a, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0xbb247093, "mhi_sync_power_up" },
	{ 0x695f5f43, "mhi_power_down" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xde6d8c2b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9ecbc382, "mhi_pm_resume" },
	{ 0x74dd6a76, "ieee80211_free_hw" },
	{ 0x4dbc2660, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xb4a3538a, "__pci_register_driver" },
	{ 0x30e60507, "pci_assign_resource" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32ce34a8, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xab599470, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x295d831c, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0xde88e3cd, "ieee80211_register_hw" },
	{ 0x13dadae0, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3acdf83e, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8203b72c, "pci_irq_vector" },
	{ 0xd5e3c19c, "__netif_napi_del" },
	{ 0xa3bc4aa7, "mhi_register_controller" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc48725b6, "ieee80211_hw_restart_disconnect" },
	{ 0x8cbd6eea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b16a45c, "pskb_expand_head" },
	{ 0xa8c0ae3c, "dev_driver_string" },
	{ 0x1d6bb70, "ieee80211_tx_status_skb" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0xa72dd11c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd10082de, "ieee80211_find_sta" },
	{ 0xaacec3ef, "dma_map_page_attrs" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x74c558b2, "qmi_send_request" },
	{ 0xfd4e023b, "napi_complete_done" },
	{ 0x9b7aa8f7, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1d55df67, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x71ffe817, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x9b2105a9, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x57abc7ba, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x95094f36, "qmi_txn_wait" },
	{ 0xb6791ce0, "mhi_pm_suspend" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0xb3938572, "skb_queue_tail" },
	{ 0x630be120, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4488d606, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd5920e30, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x850a946b, "crypto_shash_setkey" },
	{ 0x8de20168, "skb_pull" },
	{ 0x63f7d65, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb844aaf2, "qmi_txn_cancel" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x53a96a27, "irq_get_irq_data" },
	{ 0x37c7a575, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf5d89b30, "ieee80211_remain_on_channel_expired" },
	{ 0xd92598cf, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b533abd, "skb_push" },
	{ 0xdd31a16, "dma_alloc_attrs" },
	{ 0xa35a94d3, "pci_read_config_word" },
	{ 0x2bec5884, "napi_enable" },
	{ 0xbb91b4f9, "ieee80211_wake_queues" },
	{ 0x9275947d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x317dc94f, "qmi_txn_init" },
	{ 0x9a2fccf3, "ieee80211_report_low_ack" },
	{ 0x2f271cf1, "ieee80211_beacon_get_template" },
	{ 0xc0e3aa8e, "crypto_shash_update" },
	{ 0x2aa5a219, "wiphy_work_queue" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x816308dc, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa4cafa00, "ieee80211_alloc_hw_nm" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "mhi,cfg80211,mac80211,qmi_helpers");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EC25098C0F8370D285729A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
