#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xc70a0924, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x00f9222b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x8e949911, "nd_btt_arena_is_valid" },
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcf7d8096, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa8c0ae3c, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf90b77a5, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8918b6bc, "debugfs_create_x64" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa69cf5e9, "nd_dev_to_uuid" },
	{ 0x842eb1ce, "const_pcpu_hot" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0xe1b77465, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc52250f7, "bio_endio" },
	{ 0x7a345d7e, "nd_region_release_lane" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0xf55f7c1f, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4730161a, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5c4d2628, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xc4a9c72b, "to_nd_btt" },
	{ 0xc6dcef53, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe789c146, "debugfs_create_u32" },
	{ 0x7277e0a5, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe301e965, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa5e9b818, "nvdimm_namespace_capacity" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb18ec576, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6b81c6f5, "badblocks_check" },
	{ 0x8abb8ac1, "nd_btt_version" },
	{ 0xc578d351, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xb12c11c6, "bio_integrity_prep" },
	{ 0x8a811c18, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa559c3c5, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34452b39, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xee6c17aa, "debugfs_create_u16" },
	{ 0x49515bdb, "to_nd_region" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "D0116175E6CB25C826DC9B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
