#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xc76262da, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x375aba11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25b0ae83, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4d7ee7f, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x59c0f0d7, "device_create_file" },
	{ 0xae7a489c, "single_open" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x41d8045, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb68d136e, "platform_device_unregister" },
	{ 0x136eed69, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xd30bfbc8, "pci_find_bus" },
	{ 0xa3eac193, "pci_bus_read_config_dword" },
	{ 0xf5a2d413, "pci_get_slot" },
	{ 0xf555b5d1, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x348f951c, "pci_stop_and_remove_bus_device" },
	{ 0x885db839, "pci_scan_single_device" },
	{ 0xcf68519a, "pci_bus_assign_resources" },
	{ 0x1e464c3a, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xbfa1cb99, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x112c1072, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xe6d4d62e, "backlight_device_unregister" },
	{ 0xe15bbf28, "input_unregister_device" },
	{ 0x4730161a, "debugfs_remove" },
	{ 0xac66ecbd, "sysfs_remove_group" },
	{ 0xd244712f, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xd12a4af, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x76d9aa7f, "sparse_keymap_report_event" },
	{ 0x823a2bbf, "backlight_force_update" },
	{ 0xcfe7586f, "led_classdev_notify_brightness_hw_changed" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0xd39aa264, "input_set_capability" },
	{ 0x105307d3, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x81c97b32, "sysfs_create_group" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2ca04b9b, "input_allocate_device" },
	{ 0x8c5ff9c7, "sparse_keymap_setup" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x4c27ff13, "input_register_device" },
	{ 0x6c445b61, "input_free_device" },
	{ 0xf8f2d9d, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3915db88, "led_classdev_register_ext" },
	{ 0xef649f7a, "backlight_device_register" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x876150a1, "i8042_install_filter" },
	{ 0xc578d351, "debugfs_create_dir" },
	{ 0xe301e965, "debugfs_create_x32" },
	{ 0xf245f178, "debugfs_create_file_full" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e9c8c23, "__pci_hp_register" },
	{ 0x84f24bea, "pci_get_device" },
	{ 0xa72dd11c, "pci_read_config_dword" },
	{ 0x82cc03ba, "pci_write_config_dword" },
	{ 0x9045c724, "battery_hook_register" },
	{ 0x75575efd, "seq_lseek" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x576599f2, "single_release" },
	{ 0x39446a9c, "device_show_string" },
	{ 0xec8c3351, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28ef0f39, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "85232D4E5B867C69F864216");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
