#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa63d0ecd, "inode_newsize_ok" },
	{ 0x5f9b05b0, "kill_block_super" },
	{ 0x8738b9ff, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3a86427f, "block_invalidate_folio" },
	{ 0xc7c57a8, "generic_write_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30b13549, "make_kuid" },
	{ 0x63a68a4, "truncate_inode_pages_final" },
	{ 0xfb5e85e1, "block_write_end" },
	{ 0x5c7060b4, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b37bb20, "__filemap_get_folio" },
	{ 0x9f75852c, "invalidate_inode_buffers" },
	{ 0x3161faa6, "bdev_getblk" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x298e79d4, "inode_init_once" },
	{ 0x685db9a, "__brelse" },
	{ 0xecf89674, "inode_nohighmem" },
	{ 0x7a2a6a1b, "generic_file_read_iter" },
	{ 0x7be6a6a, "truncate_pagecache" },
	{ 0x77febcb4, "sync_dirty_buffer" },
	{ 0x8b195d51, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9bb1447a, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xfd7f74e3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x96acf3ae, "kmem_cache_alloc_lru_noprof" },
	{ 0x4d3dc55d, "kmem_cache_free" },
	{ 0x206f71ae, "from_kgid" },
	{ 0x96c1c5f, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc8825346, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x730a2e93, "block_dirty_folio" },
	{ 0xae9f9c19, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d4b4be8, "__insert_inode_hash" },
	{ 0x769c7650, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcc0f29f4, "make_kgid" },
	{ 0x4bd0dd69, "__kmem_cache_create_args" },
	{ 0x6645dac0, "truncate_setsize" },
	{ 0xcfc615eb, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7d6e75d, "unlock_buffer" },
	{ 0x9aa86e7a, "generic_read_dir" },
	{ 0x8b80458d, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb4606275, "inode_set_ctime_current" },
	{ 0xf11a4764, "inc_nlink" },
	{ 0x38e91d4a, "__folio_put" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe52e1652, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x2597e039, "__folio_lock" },
	{ 0x53e45417, "block_write_begin" },
	{ 0x149b4db1, "filemap_splice_read" },
	{ 0x13983c9b, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xab74686, "__mark_inode_dirty" },
	{ 0xa572c37f, "generic_file_llseek" },
	{ 0x59ddb9b4, "mark_buffer_dirty_inode" },
	{ 0x222e4297, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x31e60973, "inode_set_ctime_to_ts" },
	{ 0x497ebb7, "iget_failed" },
	{ 0xe1e32a83, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x8d39217c, "inode_init_owner" },
	{ 0x6bfa84db, "generic_fillattr" },
	{ 0x6eb5112, "setattr_prepare" },
	{ 0xf7dd223d, "iget_locked" },
	{ 0x868ed68b, "generic_block_bmap" },
	{ 0xb7922703, "d_instantiate" },
	{ 0x904352cf, "clear_inode" },
	{ 0xaa9c52bb, "folio_unlock" },
	{ 0xf415c5ad, "new_inode" },
	{ 0x11bf9d61, "init_special_inode" },
	{ 0x493631f4, "unregister_filesystem" },
	{ 0x63e035e3, "mark_buffer_dirty" },
	{ 0x13f4ce9c, "__block_write_begin" },
	{ 0x1a47a736, "d_make_root" },
	{ 0xd17a1029, "__bforget" },
	{ 0x8d4bb7d3, "sb_set_blocksize" },
	{ 0xddfe14ef, "block_truncate_page" },
	{ 0x294ed419, "read_cache_folio" },
	{ 0x8b40d09, "sync_filesystem" },
	{ 0x939a247, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2512afb, "ihold" },
	{ 0x6cf9f208, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb3c6bde, "generic_file_fsync" },
	{ 0xd98a505d, "iput" },
	{ 0x7c1e9219, "generic_file_write_iter" },
	{ 0x2653a15f, "register_filesystem" },
	{ 0x9014b04f, "sync_inode_metadata" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf59c3684, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "321B2DCAB3FC8612D949BC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
