#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xfdc96c8c, "");
SYMBOL_CRC(bt_sock_register, 0x7201f118, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x76c0e915, "");
SYMBOL_CRC(bt_sock_link, 0x26cc09f9, "");
SYMBOL_CRC(bt_sock_unlink, 0x910ed760, "");
SYMBOL_CRC(bt_sock_linked, 0xe6f4301d, "");
SYMBOL_CRC(bt_accept_enqueue, 0xc61b9b70, "");
SYMBOL_CRC(bt_accept_unlink, 0x30eac56a, "");
SYMBOL_CRC(bt_accept_dequeue, 0x6f8f38c3, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x2e7754ad, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xfbab2972, "");
SYMBOL_CRC(bt_sock_poll, 0x7900a241, "");
SYMBOL_CRC(bt_sock_ioctl, 0xe71e908a, "");
SYMBOL_CRC(bt_sock_wait_state, 0xc113db6c, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x6817a19a, "");
SYMBOL_CRC(bt_procfs_init, 0x2785b13d, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x04c1ddfb, "");
SYMBOL_CRC(bt_debugfs, 0xf2e901ef, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x7d145997, "");
SYMBOL_CRC(hci_free_dev, 0xdbe1ead4, "");
SYMBOL_CRC(hci_register_dev, 0x7f19b919, "");
SYMBOL_CRC(hci_unregister_dev, 0xd1829796, "");
SYMBOL_CRC(hci_release_dev, 0xfb1f7378, "");
SYMBOL_CRC(hci_suspend_dev, 0x945ad797, "");
SYMBOL_CRC(hci_resume_dev, 0xc139ef7c, "");
SYMBOL_CRC(hci_reset_dev, 0x709e53de, "");
SYMBOL_CRC(hci_recv_frame, 0x0aa9c314, "");
SYMBOL_CRC(hci_recv_diag, 0xc0d375f1, "");
SYMBOL_CRC(hci_set_hw_info, 0xbaaafaba, "");
SYMBOL_CRC(hci_set_fw_info, 0x8ab79d6b, "");
SYMBOL_CRC(hci_register_cb, 0x0bd7b6b7, "");
SYMBOL_CRC(hci_unregister_cb, 0x72c59b89, "");
SYMBOL_CRC(__hci_cmd_send, 0xb2801fba, "");
SYMBOL_CRC(hci_get_route, 0x0232fe08, "");
SYMBOL_CRC(hci_conn_security, 0x2312c303, "");
SYMBOL_CRC(hci_conn_check_secure, 0x5aeab219, "");
SYMBOL_CRC(hci_conn_switch_role, 0x069ee110, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x345a2b28, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x06d91d7c, "");
SYMBOL_CRC(l2cap_add_psm, 0x38d72d29, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xaf7318d8, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x3e5c9313, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x7a9215d0, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xf0607397, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xa0ddc729, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xca966f4d, "");
SYMBOL_CRC(l2cap_register_user, 0x0a10b4da, "");
SYMBOL_CRC(l2cap_unregister_user, 0x73d5ab09, "");
SYMBOL_CRC(l2cap_conn_get, 0xcc506d16, "");
SYMBOL_CRC(l2cap_conn_put, 0xccd37777, "");
SYMBOL_CRC(l2cap_chan_send, 0xd14883d6, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x98da3dcd, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xfb9a7d97, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xe22ccc30, "");
SYMBOL_CRC(__hci_cmd_sync, 0x71f9e034, "");
SYMBOL_CRC(hci_cmd_sync, 0xa46977da, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x42b64b46, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x05a433db, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xa7237d1b, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x8da5d2de, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x42514678, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x838e1768, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xbde12802, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x2e1bc11a, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x3477d19f, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xaf627006, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x4d117836, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x4bfe76c0, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xf0a87ce9, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xefec35ea, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x145fcdd2, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x874b3f5f, "");
SYMBOL_CRC(hci_devcd_init, 0x7db20877, "");
SYMBOL_CRC(hci_devcd_append, 0x313339c6, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x1053cf27, "");
SYMBOL_CRC(hci_devcd_complete, 0x12f752b2, "");
SYMBOL_CRC(hci_devcd_abort, 0x644a5c92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x87d75e26, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x413d3227, "dev_set_name" },
	{ 0xc8d70a30, "scm_detach_fds" },
	{ 0x6d834228, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf4db1939, "device_unregister" },
	{ 0xde6d8c2b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc482b124, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9c10d2f4, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xf788785b, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x75575efd, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x2aa16a6d, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x81f4ad74, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x84588265, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3ab03dd1, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x785effb4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x913abaf5, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67513bfc, "__put_cred" },
	{ 0xe15aa04f, "put_cmsg" },
	{ 0x4b2adfbb, "skb_queue_purge_reason" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x901dc9e2, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xd6d2256d, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4e442bb1, "sock_register" },
	{ 0x704990f0, "datagram_poll" },
	{ 0xe364b603, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x78208b4, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd9013b27, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x842eb1ce, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xcfb53f08, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb3938572, "skb_queue_tail" },
	{ 0xd302c87a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x757903a, "__sock_recv_timestamp" },
	{ 0xc30a48f, "sock_no_shutdown" },
	{ 0x81afc8b0, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5394248b, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x79ebf698, "init_net" },
	{ 0x850a946b, "crypto_shash_setkey" },
	{ 0x8de20168, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x66d70af2, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5f174c25, "init_uts_ns" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0x57f5e6dc, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9c6e10df, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7d10a987, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b533abd, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x144f8150, "sock_no_listen" },
	{ 0x4730161a, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xe47b7963, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdde7e358, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x30b458b9, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x6871fee, "lock_sock_nested" },
	{ 0x10ff7595, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc34b81e4, "skb_copy_datagram_iter" },
	{ 0x105307d3, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb8f8fc3f, "sk_alloc" },
	{ 0xa4090002, "device_del" },
	{ 0x581344fc, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc672f0b, "__sock_recv_wifi_status" },
	{ 0xae9f9c19, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf594b3e1, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x85723315, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc8a39a58, "security_sk_clone" },
	{ 0xf2dc34cf, "__pskb_pull_tail" },
	{ 0x921da952, "__scm_destroy" },
	{ 0x29b25b12, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x44d82261, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb01055b0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d4f1284, "devm_kasprintf" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x4dcfd79c, "sock_i_ino" },
	{ 0x76baa8dd, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa7c31668, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec8c3351, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xe83d24b2, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9064713c, "sock_alloc_send_pskb" },
	{ 0x5034a267, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x120c798e, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x62a3be94, "skb_copy" },
	{ 0xeab4613a, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x17f90393, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf245f178, "debugfs_create_file_full" },
	{ 0x5a7edd22, "led_set_brightness" },
	{ 0x715e3a0b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad9e47cb, "sock_gettstamp" },
	{ 0x576599f2, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3e606f79, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x2899052d, "from_kuid_munged" },
	{ 0xac94d53, "led_trigger_event" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x9ef8dc10, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x346448c7, "proc_create_seq_private" },
	{ 0xae7a489c, "single_open" },
	{ 0x314ea00f, "crypto_alloc_shash" },
	{ 0xc578d351, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe988578c, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xae3f1888, "put_pid" },
	{ 0xdeb419c9, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5f6eefbe, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf657cee7, "__dev_fwnode" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xafdeeb75, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3dab921f, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xeffb7477, "security_sock_graft" },
	{ 0xc81a6ca7, "skb_free_datagram" },
	{ 0x8d70cd25, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x77c3123, "try_module_get" },
	{ 0xb6193dd4, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "F39E2A264A33A4244691776");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
