#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x2e5053d5, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xfd09b9c2, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x587e5a89, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xbfbd0d4a, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xc0eebc68, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xeffb8492, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x3b59b816, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x83510004, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x232c7803, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xb072201e, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x5b18abe3, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xc1546651, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x97654752, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x9e58bff4, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xa9f9da89, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x8beef226, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x9608fe5f, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x21c0f872, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xc0fee7dc, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xc9b8b646, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xa0ace5e4, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x77e22547, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4319485a, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe80bb2f1, "alloc_netdev_mqs" },
	{ 0xf7749e7c, "register_netdevice" },
	{ 0x9275947d, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x398b7cb, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xef536a6b, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x71baa9b5, "ip_route_output_flow" },
	{ 0x14d6f051, "dst_release" },
	{ 0x64224550, "__dev_get_by_index" },
	{ 0x2aa56fd4, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x85ebc1db, "dev_addr_mod" },
	{ 0x6107b90a, "netdev_state_change" },
	{ 0x406052f6, "ns_capable" },
	{ 0xee6cc17d, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x79ebf698, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xca4ccb78, "ip6_mtu" },
	{ 0xe05ec985, "icmpv6_ndo_send" },
	{ 0xc8f7f62, "icmp_ndo_send" },
	{ 0xf9be20a4, "ipv4_mtu" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0x4c0e6f60, "dst_cache_get_ip4" },
	{ 0x704cd482, "dst_cache_set_ip4" },
	{ 0xaa26e1ac, "iptunnel_xmit" },
	{ 0xee3532e4, "__skb_get_hash_net" },
	{ 0xc2d3a6d5, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9b16a45c, "pskb_expand_head" },
	{ 0x55457dcd, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2dc34cf, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x34aac53, "skb_scrub_packet" },
	{ 0x3e329f65, "gro_cells_receive" },
	{ 0xe8fbeb2e, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
