#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x3def13d3, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x82103135, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xc7e3169b, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x75e13603, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x46dae05d, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x3f52806b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x6fd0da97, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x7ceeaaca, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xa13aef70, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x78010a58, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xb3b5e0eb, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x9bfbb144, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xef536a6b, "gro_cells_init" },
	{ 0xa8da3db3, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43d87d67, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x79ebf698, "init_net" },
	{ 0xe80bb2f1, "alloc_netdev_mqs" },
	{ 0xddd98e64, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x9275947d, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf2dc34cf, "__pskb_pull_tail" },
	{ 0xf7749e7c, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x6107b90a, "netdev_state_change" },
	{ 0x406052f6, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30b13549, "make_kuid" },
	{ 0x2ce4384b, "ip6_redirect" },
	{ 0xf697b5b8, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x312cb7c4, "ip6_route_output_flags" },
	{ 0x330ce6c6, "xfrm_lookup" },
	{ 0xca4ccb78, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x34aac53, "skb_scrub_packet" },
	{ 0xb955dbb6, "skb_realloc_headroom" },
	{ 0x2568afb4, "skb_set_owner_w" },
	{ 0x72b31a5e, "consume_skb" },
	{ 0xac0b5d2, "ipv6_push_frag_opts" },
	{ 0x7b533abd, "skb_push" },
	{ 0xe636e433, "ip6_local_out" },
	{ 0xf42e5880, "dst_cache_get" },
	{ 0xc2d3a6d5, "skb_copy_bits" },
	{ 0xd8ccc117, "dst_cache_set_ip6" },
	{ 0x2ac591bb, "ipv6_dev_get_saddr" },
	{ 0x37d046e4, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf9be20a4, "ipv4_mtu" },
	{ 0x55457dcd, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2a2bd050, "iptunnel_handle_offloads" },
	{ 0xe05ec985, "icmpv6_ndo_send" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0xc8f7f62, "icmp_ndo_send" },
	{ 0xeab4613a, "skb_clone" },
	{ 0x8de20168, "skb_pull" },
	{ 0x96262118, "icmp6_send" },
	{ 0x71baa9b5, "ip_route_output_flow" },
	{ 0xb18ffba7, "ip_route_input_noref" },
	{ 0x63260328, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3e329f65, "gro_cells_receive" },
	{ 0xe8fbeb2e, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x423c71ab, "__iptunnel_pull_header" },
	{ 0xb6a344f2, "metadata_dst_alloc" },
	{ 0x2f012c98, "__xfrm_policy_check" },
	{ 0xda83d14, "dev_get_tstats64" },
	{ 0xec8c3351, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46bfcf54, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9aca328, "ipv6_chk_addr_and_flags" },
	{ 0xbaf94ac3, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x678ef713, "register_pernet_device" },
	{ 0xd0fbed2e, "xfrm6_tunnel_register" },
	{ 0x9f558b3e, "rtnl_link_register" },
	{ 0x9f69abc4, "xfrm6_tunnel_deregister" },
	{ 0xf31d1992, "unregister_pernet_device" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x398b7cb, "unregister_netdevice_queue" },
	{ 0x85ebc1db, "dev_addr_mod" },
	{ 0x6e0f851e, "rt6_lookup" },
	{ 0x14d6f051, "dst_release" },
	{ 0x64224550, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "77E96F1E82FBA05ADA1E5AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
