#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x71009ea3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x6af80f40, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0xd7c67424, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xf0ba1263, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x2377b8c5, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xbabf1364, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x45906dd0, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x0df6fbd7, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x1b80dda4, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xd1c863dc, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xd020de81, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xff853621, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x3d766a04, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xd2c18d5b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x28ba8125, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xf7ea32a1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x21f19fc8, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x0aaec4f1, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x914e30fb, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x94ebcc5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x155d5cc1, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d7ddef3, "trace_event_buffer_reserve" },
	{ 0x1fce7dff, "trace_event_buffer_commit" },
	{ 0x28996314, "__trace_trigger_soft_disabled" },
	{ 0x8912caf8, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x6d63c7f5, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1d43c16a, "bpf_trace_run1" },
	{ 0x24e07ccf, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48645a92, "sk_error_report" },
	{ 0x6697969b, "ip_icmp_error" },
	{ 0x74c67206, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x678ef713, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf31d1992, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd77e3f9, "sock_create_kern" },
	{ 0x7c848aab, "kernel_bind" },
	{ 0x4b56b6e8, "kernel_connect" },
	{ 0xc7666db5, "udp_sock_create6" },
	{ 0xf98b2c6e, "kernel_sock_shutdown" },
	{ 0xe0cd4960, "sock_release" },
	{ 0x81fc8c4e, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x57f5e6dc, "sk_free" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0xde6d8c2b, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x976a6a0, "udp_set_csum" },
	{ 0xd7b386d, "ip_queue_xmit" },
	{ 0x9b16a45c, "pskb_expand_head" },
	{ 0xd08eca6f, "udp6_set_csum" },
	{ 0xeb5ee5a0, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x14d6f051, "dst_release" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xf4f351c8, "sockfd_lookup" },
	{ 0x6871fee, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xafdeeb75, "release_sock" },
	{ 0xa80db346, "fput" },
	{ 0xd80f1d1d, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3938572, "skb_queue_tail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2dc34cf, "__pskb_pull_tail" },
	{ 0x8fef4487, "trace_event_reg" },
	{ 0x63b45df0, "trace_event_raw_init" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
