#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x61da1d46, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xeaa42121, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xe077b437, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x2a735581, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x3a0048ab, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x2c622b31, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xb18c8082, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xce31dbbc, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x3d7da9a8, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x942cf269, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x14fe1e64, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0xaca302e6, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xdc796644, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xd0dbde90, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xa2c487bb, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x7fa95bd8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4db758, "drm_client_framebuffer_delete" },
	{ 0x50a20c0b, "dma_free_pages" },
	{ 0xbc5f4f8c, "drm_client_framebuffer_create" },
	{ 0x5c819617, "drm_fb_helper_deferred_io" },
	{ 0x3b55c983, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c7502d9, "drm_driver_legacy_fb_format" },
	{ 0x94f9d9e1, "drm_fb_helper_fill_info" },
	{ 0xd7b2e491, "drm_gem_create_mmap_offset" },
	{ 0x8e50e2e9, "fb_deferred_io_init" },
	{ 0xe5be55db, "fb_deferred_io_cleanup" },
	{ 0x5085bd7e, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa8c0ae3c, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x182e282c, "fb_sys_write" },
	{ 0x4ebb43cb, "sys_imageblit" },
	{ 0x90b25298, "drm_atomic_helper_damage_iter_init" },
	{ 0x8072875, "drm_fb_helper_damage_range" },
	{ 0xae8e3386, "drm_fb_helper_blank" },
	{ 0xff6a8965, "dma_alloc_pages" },
	{ 0x265b5694, "drm_gem_private_object_init" },
	{ 0x8ded910d, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc5099495, "drm_fb_helper_damage_area" },
	{ 0x33a44710, "sys_fillrect" },
	{ 0xd302c87a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x51387998, "drm_gem_vm_close" },
	{ 0x5ae070dd, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa5377f5d, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xdd31a16, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4af7ee4c, "drm_gem_handle_create" },
	{ 0xf9624ffb, "drm_gem_fb_get_obj" },
	{ 0x4e01e544, "__drm_dev_dbg" },
	{ 0x40420290, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d77b2ee, "drm_fb_helper_pan_display" },
	{ 0x3fcdfada, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6f91288, "sys_copyarea" },
	{ 0x7d829e67, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xb0f4d5c4, "__dma_sync_single_for_device" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ebd84ae, "drm_client_buffer_vunmap" },
	{ 0xefabb902, "fb_sys_read" },
	{ 0x68d8fcc4, "drm_fb_helper_debug_leave" },
	{ 0x531a168c, "dma_buf_vmap_unlocked" },
	{ 0xc251ac71, "dma_mmap_attrs" },
	{ 0xcca6de52, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x43c993d6, "drm_fb_helper_ioctl" },
	{ 0xfdbc7be, "drm_fb_helper_set_par" },
	{ 0x3f793b17, "drm_prime_gem_destroy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77c3123, "try_module_get" },
	{ 0x7b48dc93, "drm_fb_helper_debug_enter" },
	{ 0xabae903, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x45369449, "drm_client_buffer_vmap" },
	{ 0xfaf88636, "drm_fb_helper_setcmap" },
	{ 0xd295e47d, "drm_fb_helper_alloc_info" },
	{ 0xf5b818d, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x5c6c80e4, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xdc122c70, "drm_fb_helper_fini" },
	{ 0x98a5fade, "dma_mmap_pages" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0D9F2DD781B0A70E555C7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
