#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x7b063d5d, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x30c09a96, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x6f4f998e, "");
SYMBOL_CRC(rdma_res_to_id, 0xcc0d6de5, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x0fade202, "");
SYMBOL_CRC(rdma_create_user_id, 0x302c9b13, "");
SYMBOL_CRC(rdma_create_qp, 0x5023d5a8, "");
SYMBOL_CRC(rdma_destroy_qp, 0x28206069, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x17d0d3cd, "");
SYMBOL_CRC(rdma_destroy_id, 0xd7874183, "");
SYMBOL_CRC(rdma_get_service_id, 0x8f2ef77c, "");
SYMBOL_CRC(rdma_read_gids, 0x1ba193e3, "");
SYMBOL_CRC(rdma_set_service_type, 0x32601138, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6b5c6482, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xf2f9683e, "");
SYMBOL_CRC(rdma_set_ib_path, 0x35e543a7, "");
SYMBOL_CRC(rdma_resolve_route, 0x455764a7, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x708677ca, "");
SYMBOL_CRC(rdma_set_afonly, 0x56eb97e0, "");
SYMBOL_CRC(rdma_listen, 0x61cbd91c, "");
SYMBOL_CRC(rdma_resolve_addr, 0x676ab1f1, "");
SYMBOL_CRC(rdma_bind_addr, 0x6c3ac93c, "");
SYMBOL_CRC(rdma_connect_locked, 0x140fc1f3, "");
SYMBOL_CRC(rdma_connect, 0x493c4b4f, "");
SYMBOL_CRC(rdma_connect_ece, 0xfeb5a4ef, "");
SYMBOL_CRC(rdma_accept, 0xdf014a43, "");
SYMBOL_CRC(rdma_accept_ece, 0xb8802f75, "");
SYMBOL_CRC(rdma_lock_handler, 0xf7c3968b, "");
SYMBOL_CRC(rdma_unlock_handler, 0x5965e85b, "");
SYMBOL_CRC(rdma_notify, 0x78dae8d8, "");
SYMBOL_CRC(rdma_reject, 0x45a91ed6, "");
SYMBOL_CRC(rdma_disconnect, 0x7e39f2df, "");
SYMBOL_CRC(rdma_join_multicast, 0x1c7421a2, "");
SYMBOL_CRC(rdma_leave_multicast, 0xcf00c8a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7154c733, "iw_cm_connect" },
	{ 0xf4ce23bc, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9ac7795f, "rdma_addr_cancel" },
	{ 0xca982d05, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xd188d42e, "ib_sa_get_mcmember_rec" },
	{ 0x842eb1ce, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x26753fdf, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaa55dd94, "ib_sa_path_rec_get" },
	{ 0x88e57ed8, "ib_create_cm_id" },
	{ 0xf4652ba7, "__ip_mc_dec_group" },
	{ 0xc908bdd1, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x155d5cc1, "perf_trace_run_bpf_submit" },
	{ 0x87de2ec3, "ib_init_ah_from_mcmember" },
	{ 0x4893c5c9, "rdma_destroy_ah_attr" },
	{ 0xa4ca154b, "ib_set_client_data" },
	{ 0x79ebf698, "init_net" },
	{ 0xd69ae574, "ib_get_cached_pkey" },
	{ 0x54c94e1c, "configfs_register_subsystem" },
	{ 0x5cfb241a, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xdffbabf4, "rdma_put_gid_attr" },
	{ 0xcbfcab7e, "config_group_init_type_name" },
	{ 0xc8180c12, "dev_get_by_index" },
	{ 0x4413acc5, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbaf94ac3, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8d3a3f53, "ib_send_cm_rep" },
	{ 0x8fef4487, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xed6c5531, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x1d43c16a, "bpf_trace_run1" },
	{ 0x80422261, "ib_destroy_qp_user" },
	{ 0xc5fb76a3, "unregister_pernet_subsys" },
	{ 0x1e8bc9f8, "ib_cm_init_qp_attr" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x692e4952, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda062561, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7ed4df99, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x22808f0d, "ib_get_cached_port_state" },
	{ 0xc21fb080, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b296fd6, "rdma_restrack_del" },
	{ 0xeb42e362, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xbc204c56, "bpf_trace_run3" },
	{ 0xc856b207, "__put_net" },
	{ 0x3cd5accc, "rdma_restrack_parent_name" },
	{ 0xcbadf3d5, "iw_cm_accept" },
	{ 0x8d7ddef3, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1ca551c4, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x21c5340f, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x635305d2, "iw_cm_init_qp_attr" },
	{ 0x14d6f051, "dst_release" },
	{ 0x3ad582f1, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x891d2832, "ib_send_cm_dreq" },
	{ 0xe29f12d9, "ib_send_cm_req" },
	{ 0xf7e7a75d, "ib_create_qp_kernel" },
	{ 0x4ca21d8a, "ib_sa_join_multicast" },
	{ 0x75cb9420, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe297f22, "rdma_get_gid_attr" },
	{ 0x48fde4c1, "rdma_restrack_new" },
	{ 0xa3ca8db4, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf1beb235, "iw_cm_listen" },
	{ 0xaf382996, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x89349c89, "rdma_copy_src_l2_addr" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xb2e50940, "rdma_resolve_ip" },
	{ 0xca470e50, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd408de72, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x66a53a14, "ib_unregister_client" },
	{ 0x61ac1a22, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcbb37c1d, "ib_send_cm_sidr_rep" },
	{ 0x729782e2, "bpf_trace_run4" },
	{ 0x7be9d9bc, "config_group_init" },
	{ 0x4c1b150f, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbdce3b93, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8912caf8, "trace_raw_output_prep" },
	{ 0x84fa0147, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x28996314, "__trace_trigger_soft_disabled" },
	{ 0x6d63c7f5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x63b45df0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf466b7b, "rdma_query_gid" },
	{ 0x6e0f851e, "rt6_lookup" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x33dc5bb5, "rdma_translate_ip" },
	{ 0x24e07ccf, "bpf_trace_run2" },
	{ 0x9f3ff463, "rdma_dev_access_netns" },
	{ 0x63256eb8, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbd6d303, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0b65b61, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x51689822, "register_pernet_subsys" },
	{ 0x1fce7dff, "trace_event_buffer_commit" },
	{ 0x25708cf7, "ip_mc_inc_group" },
	{ 0x7609a4d6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5dbd8b23, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "13C2F6469B0E8343BBFD221");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
