#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0x70ea46d9, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xb3449056, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x81efb1ed, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x2b07af9a, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xdb265540, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xeebac3d4, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x0b9a9bf1, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x322abf12, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xe7b24af9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0xb854c6e0, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1c4e806, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbc619782, "usb_submit_urb" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x27b01e29, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x230edf6d, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x92ee84a9, "rc_register_device" },
	{ 0x8954efba, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee637cd8, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7da145ac, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4431e816, "dvb_frontend_detach" },
	{ 0xc45b9f08, "i2c_add_adapter" },
	{ 0x549e87d4, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd2ab2e7b, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe113055b, "dvb_unregister_frontend" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0xea9b6fc2, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x568f31f1, "__media_device_usb_init" },
	{ 0x25d7bb92, "dvb_frontend_resume" },
	{ 0xfef84c69, "dvb_register_frontend" },
	{ 0x87194a9e, "dvb_frontend_suspend" },
	{ 0x12296a97, "dvb_create_media_graph" },
	{ 0x1041e86, "dvb_unregister_adapter" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xe0342cd0, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x46698a38, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e8e781, "dvb_dmxdev_init" },
	{ 0x39de564d, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfd89be9e, "media_device_unregister" },
	{ 0xd34501b2, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2dea3f69, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x451ea6d0, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
