#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x11bfdf3c, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x0d98421a, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xa93844c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x553e24ae, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c67d2b1, "ocelot_port_pre_bridge_flags" },
	{ 0x6e4da337, "ocelot_port_del_dscp_prio" },
	{ 0xf81a2b45, "ocelot_mrp_del_ring_role" },
	{ 0x4f4bd1ef, "ocelot_sb_tc_pool_bind_set" },
	{ 0x2e23abc5, "dsa_fdb_present_in_other_db" },
	{ 0x9c056e82, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41e08172, "dsa_mdb_present_in_other_db" },
	{ 0xaa0bdb22, "ocelot_vcap_filter_add" },
	{ 0x97daf0, "ocelot_sb_port_pool_get" },
	{ 0x953b64ec, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xe93de230, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x234b176b, "ocelot_port_inject_frame" },
	{ 0x2389188c, "dev_err_probe" },
	{ 0x47def189, "ocelot_mrp_add" },
	{ 0xc304096d, "ocelot_sb_occ_port_pool_get" },
	{ 0xb667306b, "ocelot_sb_pool_set" },
	{ 0xc7d06733, "ocelot_lag_fdb_del" },
	{ 0x564cd0d8, "ocelot_vcap_filter_del" },
	{ 0x270c03ba, "ocelot_cls_flower_stats" },
	{ 0xc8e2d8b0, "ocelot_lock_inj_grp" },
	{ 0x1e0313b3, "ocelot_lock_xtr_grp_bh" },
	{ 0x94d294d2, "ocelot_sb_pool_get" },
	{ 0x4b638e83, "ocelot_lock_xtr_grp" },
	{ 0x7397d9b5, "ocelot_phylink_mac_link_up" },
	{ 0x645c10dd, "ocelot_deinit_port" },
	{ 0x5b62189a, "ocelot_can_inject" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xf484a1b4, "ocelot_port_mirror_add" },
	{ 0xa9c3d831, "ocelot_fdb_dump" },
	{ 0x1260dda, "ocelot_vlan_prepare" },
	{ 0x9ec3e39, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x86d0d4de, "ocelot_set_ageing_time" },
	{ 0xacb95dbe, "__ocelot_rmw_ix" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x3c85b529, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaa71628a, "ocelot_port_policer_del" },
	{ 0x9dbe8e4b, "ocelot_port_lag_change" },
	{ 0x72b31a5e, "consume_skb" },
	{ 0x69f29892, "ocelot_port_policer_add" },
	{ 0x3009f785, "ocelot_port_mdb_add" },
	{ 0x203ef769, "ocelot_vlan_add" },
	{ 0x6258c100, "ocelot_sb_tc_pool_bind_get" },
	{ 0xfab187c6, "ocelot_port_bridge_flags" },
	{ 0xeafa4ce9, "ocelot_devlink_sb_unregister" },
	{ 0xaf74ba1a, "ocelot_port_bridge_leave" },
	{ 0x98505d85, "ocelot_port_set_maxlen" },
	{ 0x3a53e81, "ocelot_vcap_filter_replace" },
	{ 0x754d3377, "ocelot_get_max_mtu" },
	{ 0xaef99df1, "regmap_fields_update_bits_base" },
	{ 0x24afd8bb, "ocelot_sb_occ_snapshot" },
	{ 0x25edbbb, "ocelot_get_ts_info" },
	{ 0x6abc7ff8, "ocelot_sb_occ_max_clear" },
	{ 0xbd91c159, "ocelot_port_get_mm" },
	{ 0x6c4a19db, "ocelot_ptp_gettime64" },
	{ 0x1f8438b1, "ocelot_unlock_inj_grp" },
	{ 0xe5e491b3, "ocelot_get_strings" },
	{ 0x46e8bdf8, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xf921c53f, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xe56e4ed2, "ocelot_unlock_xtr_grp_bh" },
	{ 0x2ecdb626, "ocelot_port_add_dscp_prio" },
	{ 0x867bd1d9, "ocelot_drain_cpu_queue" },
	{ 0x8700d2e6, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47d6a661, "__ocelot_read_ix" },
	{ 0x7829b7ac, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc916301a, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b151a6c, "ocelot_get_sset_count" },
	{ 0xa0af40be, "ocelot_migrate_mdbs" },
	{ 0x34b00e88, "ocelot_hwstamp_get" },
	{ 0xdc73f96c, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf7a4bf1, "ocelot_port_bridge_join" },
	{ 0x2d9cfb79, "ocelot_fdb_add" },
	{ 0x1c98df88, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x87c9d30b, "ocelot_xtr_poll_frame" },
	{ 0x91f70b42, "ocelot_port_get_default_prio" },
	{ 0xd36f9f51, "ptp_classify_raw" },
	{ 0xc64dce35, "ocelot_port_set_default_prio" },
	{ 0xc7f61096, "dsa_tag_8021q_register" },
	{ 0xcaca5b26, "ocelot_port_get_mm_stats" },
	{ 0x39313501, "ocelot_deinit" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x684d0c99, "ocelot_vlan_del" },
	{ 0x43066832, "sk_skb_reason_drop" },
	{ 0xdefe2730, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa63154a5, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x94ee92df, "ocelot_cls_flower_destroy" },
	{ 0xac8226ec, "ocelot_port_vlan_filtering" },
	{ 0xb8b48e25, "ocelot_port_get_rmon_stats" },
	{ 0xb6b2c3e7, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xdddcc2f0, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x14a45d47, "ocelot_bridge_stp_state_set" },
	{ 0x25acb1b6, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7330a9b, "netif_rx" },
	{ 0x7fac6970, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x1a6ef462, "ocelot_fdb_del" },
	{ 0x4c3009f2, "ocelot_phylink_mac_link_down" },
	{ 0x16767c0d, "ocelot_port_lag_join" },
	{ 0x9084ba9d, "ocelot_port_get_eth_phy_stats" },
	{ 0xdaf4eff6, "ocelot_port_lag_leave" },
	{ 0x851d4735, "ocelot_mrp_add_ring_role" },
	{ 0x9c5240dd, "ocelot_port_set_mm" },
	{ 0x511369de, "ocelot_deinit_timestamp" },
	{ 0xcfd862eb, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc4c39919, "ocelot_port_get_stats64" },
	{ 0x5865071b, "ocelot_port_get_dscp_prio" },
	{ 0xe074caa0, "ocelot_port_mdb_del" },
	{ 0xd70af109, "ocelot_port_get_eth_mac_stats" },
	{ 0x97ebbcd3, "ocelot_mact_flush" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
