#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0xf8dbb64d, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xfee50699, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xe7f24472, "_gpl");
SYMBOL_CRC(fun_bind, 0x505d6d90, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x2765f952, "");
SYMBOL_CRC(fun_release_irqs, 0x8132d803, "");
SYMBOL_CRC(fun_serv_stop, 0xa16b94b5, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x047570a6, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x0ca89ebe, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x3beca82c, "");
SYMBOL_CRC(fun_dev_enable, 0x2c1c034b, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xb5afd490, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x89ad8e20, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xb8b2d38a, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x21ab099e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c503aba, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa20916e4, "pci_enable_device_mem" },
	{ 0x789cad80, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4dbc2660, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x8203b72c, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0xbd8a0a3e, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaacec3ef, "dma_map_page_attrs" },
	{ 0x357316a1, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x842eb1ce, "const_pcpu_hot" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0x8c6f0af9, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8727f716, "__dma_sync_single_for_cpu" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdd31a16, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0x794f3985, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4fb03e83, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b42b5ec, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7d829e67, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0xb0f4d5c4, "__dma_sync_single_for_device" },
	{ 0x961f47fb, "pcie_print_link_status" },
	{ 0x38e91d4a, "__folio_put" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x77ae7fb1, "pci_disable_device" },
	{ 0x9cf657f3, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x6e793a7, "pci_free_irq_vectors" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xde8a65d4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x54013325, "pci_msix_vec_count" },
	{ 0x8c4e2706, "pci_request_selected_regions" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3BFF49F7F2FD6833E08BC8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
