#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");
KSYMTAB_FUNC(ipw_wx_set_spy, "", "");
KSYMTAB_FUNC(ipw_wx_get_spy, "", "");
KSYMTAB_FUNC(ipw_wx_set_thrspy, "", "");
KSYMTAB_FUNC(ipw_wx_get_thrspy, "", "");
KSYMTAB_FUNC(libipw_crypt_info_init, "", "");
KSYMTAB_FUNC(libipw_crypt_info_free, "", "");
KSYMTAB_FUNC(libipw_crypt_delayed_deinit, "", "");
KSYMTAB_FUNC(libipw_register_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_unregister_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_get_crypto_ops, "", "");

SYMBOL_CRC(libipw_networks_age, 0x5855fda1, "");
SYMBOL_CRC(alloc_libipw, 0xf425694b, "");
SYMBOL_CRC(free_libipw, 0x2b4027e8, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x152dc9c9, "");
SYMBOL_CRC(libipw_txb_free, 0xce98cc64, "");
SYMBOL_CRC(libipw_rx_any, 0x612c0496, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xa7a028cc, "");
SYMBOL_CRC(libipw_rx, 0x3869d05c, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x6f693121, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xe955cc48, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x329d0707, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x0a117aa7, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xa8d65ab9, "");
SYMBOL_CRC(libipw_get_channel, 0xde5dffbb, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x481dd7fa, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x4cab0b74, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x7c0a3e13, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x569bbbf1, "");
SYMBOL_CRC(libipw_channel_to_index, 0xb9afffc2, "");
SYMBOL_CRC(libipw_set_geo, 0x00560bc1, "");
SYMBOL_CRC(libipw_get_geo, 0x1197d376, "");
SYMBOL_CRC(ipw_wx_set_spy, 0x8964fb80, "");
SYMBOL_CRC(ipw_wx_get_spy, 0x2756dacf, "");
SYMBOL_CRC(ipw_wx_set_thrspy, 0x14c21622, "");
SYMBOL_CRC(ipw_wx_get_thrspy, 0x2b4c9812, "");
SYMBOL_CRC(libipw_crypt_info_init, 0x77f9a44a, "");
SYMBOL_CRC(libipw_crypt_info_free, 0xf39d617e, "");
SYMBOL_CRC(libipw_crypt_delayed_deinit, 0x8fe83e0c, "");
SYMBOL_CRC(libipw_register_crypto_ops, 0x7194a94c, "");
SYMBOL_CRC(libipw_unregister_crypto_ops, 0xd4b9cb29, "");
SYMBOL_CRC(libipw_get_crypto_ops, 0xf6304591, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd302c87a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb1508a64, "crypto_aead_setkey" },
	{ 0x79ebf698, "init_net" },
	{ 0x850a946b, "crypto_shash_setkey" },
	{ 0x8de20168, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xf3d10e50, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7b533abd, "skb_push" },
	{ 0x69a15b27, "wireless_send_event" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9275947d, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc0e3aa8e, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x826945e5, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xc7330a9b, "netif_rx" },
	{ 0xc3628fd9, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x44d82261, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2b186398, "crypto_shash_final" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x120c798e, "remove_proc_entry" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0x576599f2, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5d490ce0, "dev_kfree_skb_any_reason" },
	{ 0xe0342cd0, "param_ops_int" },
	{ 0xae7a489c, "single_open" },
	{ 0x314ea00f, "crypto_alloc_shash" },
	{ 0xb949750e, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1fae8644, "alloc_etherdev_mqs" },
	{ 0x77c3123, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x87d75e26, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9e434203, "proc_create" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x75575efd, "seq_lseek" },
	{ 0xf56317c8, "crypto_alloc_aead" },
	{ 0x81f4ad74, "dev_kfree_skb_irq_reason" },
	{ 0xba4939e9, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x732c5c02, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x414dd49f, "crypto_destroy_tfm" },
	{ 0xe8fbeb2e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x170ec98c, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "libarc4,cfg80211");


MODULE_INFO(srcversion, "C8FFC566263669E7159E0B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
