#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x10818a92, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xc1b4e03d, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x55a8e37f, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x5a104918, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x329f3173, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xea365c7c, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x5e810f51, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xe058d676, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xb007ac8b, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x44dfd5dd, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xd2fd4452, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x7ec6d4e9, "_gpl");
SYMBOL_CRC(mt76s_init, 0x4d73e710, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xc225b2f4, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x210cbe36, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x4a8af1ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf4d70994, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b16a45c, "pskb_expand_head" },
	{ 0xe64ac9eb, "mt76_tx_status_check" },
	{ 0xb6732ca9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x357316a1, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb001c518, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd9013b27, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x88ef025a, "sdio_readsb" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7f7d03c1, "__SCK__tp_func_dev_irq" },
	{ 0x5062657f, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x794f3985, "__put_devmap_managed_folio_refs" },
	{ 0xb03f7b9e, "kthread_stop" },
	{ 0xe058caa, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82bc4558, "mt76_queue_tx_complete" },
	{ 0xf0d5ba64, "kthread_create_on_node" },
	{ 0x333b51ba, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5ddc6343, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x38e91d4a, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd5f4b4d4, "sdio_claim_irq" },
	{ 0xbabb781d, "mt76_skb_adjust_pad" },
	{ 0x2759db0b, "sdio_enable_func" },
	{ 0x14562828, "sdio_writesb" },
	{ 0x413fd773, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x42eda099, "sdio_release_host" },
	{ 0xdb02f5f3, "sdio_disable_func" },
	{ 0x6a5ee926, "sdio_set_block_size" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x87d75e26, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5bdd5bfc, "sdio_claim_host" },
	{ 0x72b31a5e, "consume_skb" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "B5587740B3669EF31B8D0B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
