#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x24d0d275, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xfe4365ab, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xd542185f, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x18635696, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x76f47016, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x36112b90, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x37e8959d, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x31a31ae1, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0xff0782c5, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x6300fff8, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x4bb26463, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x397e3951, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x95bb689b, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x44fee487, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xeee6f351, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x7a925062, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0xb7ec6b25, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x583b616e, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x42d3c38c, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xfef5cad6, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xb8671245, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x3a30fdef, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x65740342, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x599ad081, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x4c96703d, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xe1604e40, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x8c986988, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x07721aa7, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xb9e56dcf, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xe35b42b4, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xbca643b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb6732ca9, "wake_up_process" },
	{ 0x1fce7dff, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x78208b4, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x20a52495, "device_for_each_child_reverse" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2685940f, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8489dd66, "init_srcu_struct" },
	{ 0x155d5cc1, "perf_trace_run_bpf_submit" },
	{ 0xc6d1988c, "devm_acpi_dev_add_driver_gpios" },
	{ 0x734e9cf8, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x66d70af2, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2a9bf87, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d3dc55d, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x8fef4487, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x16215c60, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x396b0ba1, "cleanup_srcu_struct" },
	{ 0x81c97b32, "sysfs_create_group" },
	{ 0xb03f7b9e, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1ff30600, "serdev_device_wait_until_sent" },
	{ 0x8ee241e4, "__serdev_device_driver_register" },
	{ 0x1d43c16a, "bpf_trace_run1" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x9f990f78, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeea92f79, "kmem_cache_alloc_noprof" },
	{ 0xa8baae1f, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x4bd0dd69, "__kmem_cache_create_args" },
	{ 0x87863f90, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0xf0d5ba64, "kthread_create_on_node" },
	{ 0xac66ecbd, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x821c7b40, "platform_device_register_full" },
	{ 0x8d7ddef3, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9c17d03, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc5173c41, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x2389188c, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb3ab86ef, "device_link_add" },
	{ 0x5623e6f2, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x6e1203ce, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf657cee7, "__dev_fwnode" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x408141d6, "bus_register" },
	{ 0xe1e32a83, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x11e25309, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1104c8a9, "is_acpi_device_node" },
	{ 0x2534d9f2, "gpiod_put" },
	{ 0xe3924e5e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf69650c9, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x413d3227, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x26331834, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8912caf8, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf4db1939, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x28996314, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6d63c7f5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xf788785b, "device_initialize" },
	{ 0xa71f2379, "serdev_device_set_flow_control" },
	{ 0x63b45df0, "trace_event_raw_init" },
	{ 0xc227d7c6, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x56744237, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x9ced219f, "fwnode_get_next_child_node" },
	{ 0x24e07ccf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xae16ff9e, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0x44a1dbeb, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
