#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xec873795, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x070ce4e5, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x8738312d, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xeeca1f59, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xb873630b, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xa4064a2d, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xaccefd9b, "_gpl");
SYMBOL_CRC(ucsi_create, 0xf0372296, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xebbdc93f, "_gpl");
SYMBOL_CRC(ucsi_register, 0xff25cfc8, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xa68273b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc27d3b, "typec_partner_register_altmode" },
	{ 0xe045525, "typec_partner_set_num_altmodes" },
	{ 0x2a52d1cb, "typec_unregister_partner" },
	{ 0x98f7ef6, "typec_set_pwr_opmode" },
	{ 0x78f461a, "typec_cable_set_identity" },
	{ 0x37ec93db, "debugfs_attr_read" },
	{ 0xf042f0da, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x155d5cc1, "perf_trace_run_bpf_submit" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0xec935b91, "typec_partner_set_usb_mode" },
	{ 0x7855cbe5, "typec_altmode_update_active" },
	{ 0x1686d74f, "device_property_read_u8_array" },
	{ 0x3ee599ef, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xd70965d7, "usb_power_delivery_register_capabilities" },
	{ 0xf61fcd49, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3102be9e, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4730161a, "debugfs_remove" },
	{ 0xa965fb4e, "usb_power_delivery_unregister" },
	{ 0x8fef4487, "trace_event_reg" },
	{ 0xa8677cac, "typec_set_data_role" },
	{ 0x9ab2b4ea, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9f339198, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6f4ea448, "typec_unregister_port" },
	{ 0xba642f85, "power_supply_get_drvdata" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x1768ecaf, "typec_register_port" },
	{ 0xe34baf27, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3bb862e6, "typec_partner_set_usb_power_delivery" },
	{ 0x5e788fac, "power_supply_changed" },
	{ 0x7e19808c, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88676de, "typec_plug_register_altmode" },
	{ 0x7d4f1284, "devm_kasprintf" },
	{ 0xa286c52c, "typec_partner_set_svdm_version" },
	{ 0xdbf0bcbf, "seq_read" },
	{ 0x8d7ddef3, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x62207b5b, "typec_unregister_altmode" },
	{ 0x806064ee, "typec_register_cable" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdb4f91e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48abcd69, "usb_power_delivery_unregister_capabilities" },
	{ 0x54fd0e1c, "typec_get_drvdata" },
	{ 0xf245f178, "debugfs_create_file_full" },
	{ 0xdc0b3629, "typec_partner_set_identity" },
	{ 0x1943d3fc, "power_supply_unregister" },
	{ 0x576599f2, "single_release" },
	{ 0xaf118d27, "typec_set_pwr_role" },
	{ 0xbffa585f, "typec_partner_usb_power_delivery_register" },
	{ 0x2389188c, "dev_err_probe" },
	{ 0x6b73dc48, "usb_debug_root" },
	{ 0x1da29f6f, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xae7a489c, "single_open" },
	{ 0xc578d351, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf657cee7, "__dev_fwnode" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x4c663ee6, "typec_partner_set_pd_revision" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdecbef92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3fab9584, "typec_register_partner" },
	{ 0x16c58814, "typec_port_set_usb_power_delivery" },
	{ 0xb729b70e, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa5e1af68, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56d8ae8d, "typec_port_register_altmode" },
	{ 0x3026a035, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8912caf8, "trace_raw_output_prep" },
	{ 0xfbafff90, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x28996314, "__trace_trigger_soft_disabled" },
	{ 0x6d63c7f5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x63b45df0, "trace_event_raw_init" },
	{ 0x3585c5f6, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x75575efd, "seq_lseek" },
	{ 0x24e07ccf, "bpf_trace_run2" },
	{ 0x68399eff, "typec_set_mode" },
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0x90de2b70, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fce7dff, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x806e7511, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "E0DE57E014C396C25ECCEDB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
