#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xdf446e00, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x5dc6fffc, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x48e128b1, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xf5961b59, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xb8845228, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xe1a13777, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xb36974db, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xed7474fd, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xe9dafc09, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xc9cccb5f, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x29336530, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xbbf684f1, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xbdbdc904, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xf947321e, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x195d91a1, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xd4eb6be5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xa4417489, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x71d39b26, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xef49d827, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xb1af9627, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xed8173dd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xd26eab60, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x52d16f4c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x03b5d348, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x3a6281da, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xed42a5ca, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xbf468342, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x59c17cf0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x8e45fd43, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xa7904384, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xf03fbb66, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x52e2e869, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x8f16edfb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdaa3334d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xfb72271d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xe3db6ee7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xbe04fb1c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x2baf8bbd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x883ec9b7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x01a2d3bb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xaee7bd01, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xfff3eccf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x4636f3eb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x81ab6986, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x11a017f1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xecb01090, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x0c83bb20, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xd9d46312, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x813b4ff1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xfcb63fb9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x82b8c98e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xc0d40ae2, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x94f351d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x006de5c9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2ca2acf8, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x76281cdc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x1ee704df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x1a750075, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x185e837a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0xb52271ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x284d8eac, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xde4fc5ef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x2a852556, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0xbb582134, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x8d547988, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x6a83591c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xa152456d, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x6e9735c8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x9317ed4a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x440625f1, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x99079a80, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x46b2d8b5, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xa4871656, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x9ecdd404, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xc4992112, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xec18f385, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x29569976, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x6c131c09, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x8fe851f4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x6a18da7a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x59afd26c, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x008f90fb, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xe527dc1b, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x3f516abe, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x5c90b4d9, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xaf250375, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x5b889b62, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x121daa00, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x82577f6d, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x36a60c29, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x98f2207b, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x405f6405, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xa48be731, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x42610624, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x3135e860, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x80c1022d, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x58e2125b, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x4c74206c, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x21cdf380, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x0c333159, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x9496f802, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x4415f32a, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x6d62a4a2, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xe75c034e, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x31135c93, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xe3ed1c24, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x3a301030, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x2a1253bc, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x680fb123, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xcddef5fa, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xba4b745c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xdf359ee1, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x69539d10, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x451fce3f, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x7368f461, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x5cc3b073, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xd1422f91, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x37c9769e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8fb78fb2, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xa509d69b, "nfs_fscache_open_file" },
	{ 0x206f71ae, "from_kgid" },
	{ 0x8fef4487, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x86ed21c7, "nfs_write_inode" },
	{ 0xfd8eb03a, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x1e5d42f9, "rpc_wake_up_first" },
	{ 0x795589fc, "alloc_nfs_open_context" },
	{ 0xea5dce41, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x390bfddb, "vfs_parse_fs_param" },
	{ 0x1b06023f, "nfs_path" },
	{ 0xf6fb04f7, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2cb4ff5d, "nfs_create_rpc_client" },
	{ 0x794f3985, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaf8ab6b8, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f6fd15d, "rpc_sleep_on_timeout" },
	{ 0xff54290b, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2c2186ed, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb95bf115, "rpc_call_start" },
	{ 0x570c9c4d, "xprt_setup_backchannel" },
	{ 0x1d43c16a, "bpf_trace_run1" },
	{ 0xaad2cc3b, "svc_create" },
	{ 0x73dad00a, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x48e82ab7, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xa322cefb, "rpc_call_sync" },
	{ 0xae9f9c19, "from_kuid" },
	{ 0x7a2ddd2d, "rpc_put_task_async" },
	{ 0x4e168f32, "rpc_prepare_reply_pages" },
	{ 0x7d814aff, "rpc_queue_upcall" },
	{ 0xdf117d06, "nfs_free_server" },
	{ 0x5d2a267e, "fc_mount" },
	{ 0xec813656, "register_sysctl_sz" },
	{ 0x7e4f7d09, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x9eb8178d, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd0952dfd, "nfs4_fs_type" },
	{ 0x466c736, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x41c359d5, "rpc_delay" },
	{ 0x75035a9, "nfs_flock" },
	{ 0xba2aa2b9, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd641983a, "__list_lru_init" },
	{ 0xeea92f79, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xedb0c981, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x6f0e793d, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xaedcbed9, "rpc_exit" },
	{ 0xcc0f29f4, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x4bd0dd69, "__kmem_cache_create_args" },
	{ 0xc3ac9631, "rpc_remove_pipe_dir_object" },
	{ 0x52066bb4, "nfs_may_open" },
	{ 0x29b25b12, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x26c8045, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x3a994eb9, "xdr_reserve_space" },
	{ 0x97b51033, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0d5ba64, "kthread_create_on_node" },
	{ 0xe72a4a22, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x69483a57, "nfs_rmdir" },
	{ 0xbc204c56, "bpf_trace_run3" },
	{ 0xe252c829, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6a9a5260, "nfs_filemap_write_and_wait_range" },
	{ 0xa9380ae4, "rpc_mkpipe_dentry" },
	{ 0xab554fa7, "alloc_file_pseudo" },
	{ 0x7b892bd3, "rpc_mkpipe_data" },
	{ 0x3753e11d, "rpc_add_pipe_dir_object" },
	{ 0x3b1cd31d, "igrab" },
	{ 0x6e0658bc, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xec0d3736, "nfs_async_iocounter_wait" },
	{ 0x47889b29, "nfs_file_read" },
	{ 0x8d7ddef3, "trace_event_buffer_reserve" },
	{ 0xff370e00, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x78f323da, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x62040af6, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a3d0ae0, "nfs_setattr_update_inode" },
	{ 0x2221046, "nfs_instantiate" },
	{ 0x795629e5, "init_user_ns" },
	{ 0xdca29b78, "rpc_uaddr2sockaddr" },
	{ 0x9e66e62b, "user_read" },
	{ 0x705440fa, "rpc_restart_call" },
	{ 0x1c67e3aa, "request_key_tag" },
	{ 0x822b35ce, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xaef0c5cf, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x839793d7, "svc_xprt_destroy_all" },
	{ 0xebcda8d0, "generic_key_instantiate" },
	{ 0xf11a4764, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x689fac69, "nfs_link" },
	{ 0x38e91d4a, "__folio_put" },
	{ 0xd42d61c2, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd66604d4, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x93ffd486, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf28d00da, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7cc14e62, "xdr_stream_move_subsegment" },
	{ 0xbce73dec, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xce03bd66, "nfs_post_op_update_inode_force_wcc" },
	{ 0xea71de66, "nfs_pgheader_init" },
	{ 0xa3d157ac, "put_nfs_open_context" },
	{ 0x2b02bf47, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6275fd56, "nfs_show_devname" },
	{ 0x40f003b, "nfs_permission" },
	{ 0xf45b7f27, "nfs_initiate_commit" },
	{ 0xb62977f5, "truncate_inode_pages_range" },
	{ 0xdfc7a61, "__put_user_ns" },
	{ 0xec80add9, "alloc_pages_noprof" },
	{ 0xed974f59, "cred_fscmp" },
	{ 0x73cd9be1, "rpc_unlink" },
	{ 0x5319e1be, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x9aac48dd, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x74ae4e2c, "node_data" },
	{ 0x3182ccd7, "nfs_probe_server" },
	{ 0xb24dfbcc, "nfs_setsecurity" },
	{ 0x98aae2f, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x7ae95bd9, "rpc_clnt_test_and_add_xprt" },
	{ 0x5249265a, "file_ra_state_init" },
	{ 0x53b4ae8d, "nfs_force_lookup_revalidate" },
	{ 0xa5bc7760, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcf8fccb0, "rpc_clnt_add_xprt" },
	{ 0xbd3fae63, "dget_parent" },
	{ 0x2899052d, "from_kuid_munged" },
	{ 0x19b71ae4, "prepare_kernel_cred" },
	{ 0xf94efe1d, "nfs_alloc_server" },
	{ 0xca57b8c4, "rpc_call_async" },
	{ 0xc9bd5787, "security_dentry_init_security" },
	{ 0x13983c9b, "filemap_write_and_wait_range" },
	{ 0x79cd8a81, "list_lru_del_obj" },
	{ 0xdfc62be5, "nfs_server_insert_lists" },
	{ 0xe45a25e1, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x4c72956a, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xf659c660, "rpc_init_pipe_dir_object" },
	{ 0x1580a87b, "bpf_trace_run7" },
	{ 0xe163fbca, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x7815df62, "nfs_init_server_rpcclient" },
	{ 0xab74686, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x60f3383d, "rpc_set_connect_timeout" },
	{ 0x5f1fab70, "rpcauth_create" },
	{ 0xd7409f93, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6ae4f884, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x11d94eca, "svc_xprt_create" },
	{ 0xedd7fce3, "nfs42_ssc_register" },
	{ 0x45cbc2a1, "rpc_wait_for_completion_task" },
	{ 0x222e4297, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x386b3dd, "rpc_num_bc_slots" },
	{ 0xe59a805c, "nfs_alloc_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x67f9ca8e, "kmalloc_caches" },
	{ 0x5799e054, "security_inode_listsecurity" },
	{ 0xabdee773, "nfs_fhget" },
	{ 0xf02abac7, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4d348ecd, "locks_copy_lock" },
	{ 0xe1e32a83, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x2ff4ccb8, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x860d5f21, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x67eecd04, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbb1188bc, "svc_generic_rpcbind_set" },
	{ 0x4976e215, "nfs_clone_server" },
	{ 0xef0dc433, "nfs_access_add_cache" },
	{ 0x73fc1fc8, "filemap_fdatawrite" },
	{ 0x9c2a3ff8, "nfs_show_stats" },
	{ 0xaa65ec8f, "nfs_server_remove_lists" },
	{ 0x9cc6792e, "shrinker_alloc" },
	{ 0x52d8776e, "nfs42_ssc_unregister" },
	{ 0x1ec73f44, "generic_listxattr" },
	{ 0x77c3123, "try_module_get" },
	{ 0x72005e2f, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd97c5dc2, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x904352cf, "clear_inode" },
	{ 0x3ebd5726, "inode_to_bdi" },
	{ 0x729782e2, "bpf_trace_run4" },
	{ 0x8708930f, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x98fed571, "param_ops_uint" },
	{ 0x9d6f2acf, "user_revoke" },
	{ 0xeb13c95a, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x702de1fe, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xa94f59cd, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc8f27fba, "rpc_clnt_probe_trunked_xprts" },
	{ 0x17e260e1, "nfs_pageio_reset_read_mds" },
	{ 0x51e27e2a, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xb4c15110, "rpc_shutdown_client" },
	{ 0x17f21050, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa96bf21d, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0x449daa6, "nfs_free_inode" },
	{ 0x46fa3637, "nfs_access_zap_cache" },
	{ 0x96681c4b, "nfs_sb_deactive" },
	{ 0xccaed172, "nfs_wb_all" },
	{ 0xa51ba87d, "__break_lease" },
	{ 0xca04e32d, "nfs_pageio_init_write" },
	{ 0x61241303, "svc_recv" },
	{ 0x41d71429, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8b2bd878, "xdr_inline_decode" },
	{ 0x57373934, "nfs_pageio_init_read" },
	{ 0x8912caf8, "trace_raw_output_prep" },
	{ 0xe8cc8965, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd5a0fd91, "nfs_init_commit" },
	{ 0x3e36a967, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3f3ababc, "bpf_trace_run6" },
	{ 0x7317ddd5, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9098110c, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x28996314, "__trace_trigger_soft_disabled" },
	{ 0xffad5d91, "nfs_mknod" },
	{ 0x1d1bcb6b, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9b916592, "nfs4_label_alloc" },
	{ 0x63b51b82, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x6d63c7f5, "trace_event_printf" },
	{ 0x6d826e80, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xf8164918, "nfs_lock" },
	{ 0x4b47f3ea, "unregister_key_type" },
	{ 0x94144ff, "nfs_client_init_is_complete" },
	{ 0x30b9183b, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x939a247, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x63b45df0, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xa2512afb, "ihold" },
	{ 0xa437edc3, "truncate_pagecache_range" },
	{ 0xc4aa491c, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x58af712c, "invalidate_inode_pages2_range" },
	{ 0x9fa88b94, "nfs_post_op_update_inode" },
	{ 0xde1f7b5f, "svc_exit_thread" },
	{ 0xd98a505d, "iput" },
	{ 0x7a883720, "xdr_set_pagelen" },
	{ 0x76b54d4b, "pcpu_hot" },
	{ 0x2fc22605, "nfs_pgio_header_free" },
	{ 0x7c1a1358, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xa6f39d8a, "logfc" },
	{ 0x80b7e738, "nfs_pgio_header_alloc" },
	{ 0xd2526f45, "iter_file_splice_write" },
	{ 0x4287f282, "rpc_pton" },
	{ 0xb1e3581f, "nfs_sb_active" },
	{ 0xe05be291, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x7acbd815, "rpc_wake_up_queued_task" },
	{ 0x24e07ccf, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xd693225f, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xa71b45a1, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7d876b92, "_copy_from_pages" },
	{ 0x3ab03dd1, "__module_get" },
	{ 0x42ffce4c, "rpc_task_release_transport" },
	{ 0x99a3d443, "xdr_page_pos" },
	{ 0xa66c1aae, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x46cfb02e, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4272630c, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x2aa88606, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x38edf3e, "register_key_type" },
	{ 0x5fe094fc, "rpc_sleep_on" },
	{ 0x9bf19c73, "rpc_run_task" },
	{ 0xa11205c3, "nfs_pageio_resend" },
	{ 0xbbbbe969, "keyring_alloc" },
	{ 0x1d82e6c9, "vfs_setpos" },
	{ 0x8b36bc2d, "nfs_create" },
	{ 0xe8d11c4a, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67513bfc, "__put_cred" },
	{ 0x47980035, "nfs_update_delegated_mtime" },
	{ 0x281b67ff, "nfs_statfs" },
	{ 0xb6732ca9, "wake_up_process" },
	{ 0x356be5a6, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xecdb2dfa, "splice_file_range" },
	{ 0xf59fca5a, "rpc_max_bc_payload" },
	{ 0x1fce7dff, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xae834084, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0ed9f7b, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9078ed76, "nfs_mkdir" },
	{ 0xa833be2, "nfs_revalidate_inode" },
	{ 0xa63d0ecd, "inode_newsize_ok" },
	{ 0x1ea18c28, "nfs_file_mmap" },
	{ 0x1c951622, "nfs_get_lock_context" },
	{ 0x6ef69e10, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x5daba883, "nfs_set_cache_invalid" },
	{ 0xcea063b6, "rpc_release_client" },
	{ 0x20c742d5, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb900477c, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6398a852, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x65d79536, "unregister_sysctl_table" },
	{ 0x359202d2, "nfs_generic_pgio" },
	{ 0x30b13549, "make_kuid" },
	{ 0x63a68a4, "truncate_inode_pages_final" },
	{ 0xb260236e, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x2b1e9267, "xprt_destroy_backchannel" },
	{ 0xaadd794b, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x8840dcb6, "nfs_scan_commit_list" },
	{ 0x94ef396a, "xdr_stream_decode_string_dup" },
	{ 0xda43e5c0, "nfs_commit_inode" },
	{ 0x4c1cf338, "shrinker_register" },
	{ 0x97732575, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x842eb1ce, "const_pcpu_hot" },
	{ 0x1b24e0ae, "rpc_destroy_pipe_data" },
	{ 0xc5ac25a4, "nfs_get_client" },
	{ 0x6ab4d3e7, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x4def06ad, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8053c481, "nfs_atomic_open" },
	{ 0x2726f77f, "rpc_pipe_generic_upcall" },
	{ 0x318a30e3, "nfs_file_fsync" },
	{ 0xd302c87a, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfa5f9779, "mntput" },
	{ 0xd123bc05, "nfs_put_lock_context" },
	{ 0x46e3e89b, "nfs_rename" },
	{ 0xc2ef9d19, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad32b63e, "nfs_sysfs_link_rpc_client" },
	{ 0x8570d257, "nfs_put_client" },
	{ 0xa2497252, "nfs_show_options" },
	{ 0xadefd6e8, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xac322a32, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xc8ba6e18, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7baa258, "get_nfs_open_context" },
	{ 0x155d5cc1, "perf_trace_run_bpf_submit" },
	{ 0x8537e819, "nfs_clear_verifier_delegated" },
	{ 0x7a24c0cb, "nfs_sysfs_add_server" },
	{ 0xa80db346, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf7fa0cdb, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xb0a6e9ec, "nfs_do_submount" },
	{ 0x56031873, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6adb7ba2, "request_key_with_auxdata" },
	{ 0x1a8a40c3, "rpc_clone_client_set_auth" },
	{ 0x443a4485, "rpc_clone_client" },
	{ 0xe0e771c1, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc7d5f0f8, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd2b1d175, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7e1fd69f, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca4104af, "put_fs_context" },
	{ 0x66b1ae96, "nfs_retry_commit" },
	{ 0x2fa36414, "nfs4_dentry_operations" },
	{ 0xdac571a5, "__module_put_and_kthread_exit" },
	{ 0xb068542d, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc56a4e4c, "nfs_client_for_each_server" },
	{ 0xa363ad01, "nfs_clear_inode" },
	{ 0xf032ffe7, "rpc_sleep_on_priority" },
	{ 0x1a421736, "nfs_invalidate_atime" },
	{ 0x3051f4cc, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x28f7f3e8, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1813187c, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea13e3df, "nfs_pageio_reset_write_mds" },
	{ 0x4d3dc55d, "kmem_cache_free" },
	{ 0x39439a22, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x6c4cb6de, "xdr_stream_subsegment" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "3C1094455008CB9E75620C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
