#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x76862cc4, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xa83c9508, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0xb9148d1f, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x9acfd9bd, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xc48f11f2, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x26924f01, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xc7cf2e81, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xabac7240, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xf96fe78d, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xf2819c4a, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x24882d8e, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xd8e75c57, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x047130c7, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xa4a74757, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xbe0c6bd3, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x08596d0c, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xc737597f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x227fd13, "devm_request_threaded_irq" },
	{ 0x9cfd7e4c, "cs_amp_get_efi_calibration_data" },
	{ 0x7f8a17fb, "regmap_raw_read" },
	{ 0xf82aea51, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf510b68d, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1fe3880, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e4589d4, "device_property_read_u32_array" },
	{ 0xba1bf8da, "_dev_info" },
	{ 0x76f11944, "regmap_multi_reg_write_bypassed" },
	{ 0xfdc22cd9, "_dev_err" },
	{ 0x58d4c4dd, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d9eaa46, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x70b191f3, "regmap_read_bypassed" },
	{ 0x994c5dc7, "regmap_read" },
	{ 0x3bfd1569, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb53e3e57, "_dev_crit" },
	{ 0x9713d1a, "regmap_update_bits_base" },
	{ 0x2389188c, "dev_err_probe" },
	{ 0xde892c3b, "__pm_runtime_suspend" },
	{ 0x905857a6, "regmap_register_patch" },
	{ 0xb71aefd6, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2e38e49c, "gpiod_get_value_cansleep" },
	{ 0x7f529de3, "regcache_cache_only" },
	{ 0xfbac2b1c, "regcache_sync" },
	{ 0x6d4594d8, "regmap_write" },
	{ 0x7f5f3d9c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "35C6202131639E4D6E66FA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
